All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface ITChannel

All Superinterfaces:
  CMetadata, MdObjectBase, MdObjectBaseUtil, MdObjectBaseXML, PrimaryType, java.rmi.Remote, Root

    public interface ITChannel

extends PrimaryType

A content distribution center. A channel is sort of like a mailing list. A list of subscriber entries is maintined, and new content can be published to that list. It's also a content access point that aggregates published content with a common subject or intended for a common audience.

Attributes of ITChannel are:

- `Subject`
- `PresentationLanguage`
- `DeliveryTransport`
- `Frequency`
- `URL`
- `DefaultTransport`

Associations of ITChannel are:

- `ArchivePaths`
- `Archives`
- `ContentDestination`
- `SubscriberGroups`
- `ChannelSubscriptions`

## Usage

To create an instance of this ITChannel, use the `factory` create methods.
Example: create a ITChannel with name "ITChannel_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     ITChannel myObject = (ITChannel) factory.createComplexMetadataObject(objectStore, "ITChannel_Object", MetadataObjects.ITCHANNEL, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

Field Summary
`static java.lang.String` | `ASSOCIATION_ARCHIVEPATHS_NAME` Constant used for the name of the ArchivePaths association.
`static java.lang.String` | `ASSOCIATION_ARCHIVES_NAME` Constant used for the name of the Archives association.
`static java.lang.String` | `ASSOCIATION_CHANNELSUBSCRIPTIONS_NAME` Constant used for the name of the ChannelSubscriptions association.
`static java.lang.String` | `ASSOCIATION_CONTENTDESTINATION_NAME` Constant used for the name of the ContentDestination association.
`static java.lang.String` | `ASSOCIATION_SUBSCRIBERGROUPS_NAME` Constant used for the name of the SubscriberGroups association.
`static java.lang.String` | `ATTRIBUTE_DEFAULTTRANSPORT_NAME` Constant used for the name of the DefaultTransport attribute.
`static java.lang.String` | `ATTRIBUTE_DELIVERYTRANSPORT_NAME` Constant used for the name of the DeliveryTransport attribute.
`static java.lang.String` | `ATTRIBUTE_FREQUENCY_NAME` Constant used for the name of the Frequency attribute.
`static java.lang.String` | `ATTRIBUTE_PRESENTATIONLANGUAGE_NAME` Constant used for the name of the PresentationLanguage attribute.
`static java.lang.String` | `ATTRIBUTE_SUBJECT_NAME` Constant used for the name of the Subject attribute.
`static java.lang.String` | `ATTRIBUTE_URL_NAME` Constant used for the name of the URL attribute.

Fields inherited from interface com.sas.metadata.remote.PrimaryType
`ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

Fields inherited from interface com.sas.metadata.remote.Root
`ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

Fields inherited from interface com.sas.metadata.remote.MdObjectBase
`ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

Method Summary
`abstract AssociationList` | `getArchivePaths()` Gets the AssociationList of `ArchivePaths`
`abstract AssociationList` | `getArchivePaths(boolean fGoToServer)` Gets the Associationlist of `ArchivePaths`
`abstract AssociationList` | `getArchives()` Gets the AssociationList of `Archives`
`abstract AssociationList` | `getArchives(boolean fGoToServer)` Gets the Associationlist of `Archives`
`abstract AssociationList` | `getChannelSubscriptions()` Gets the Association list of `ChannelSubscriptions`
`abstract AssociationList` | `getChannelSubscriptions(boolean fGoToServer)` Gets the Associationlist of `ChannelSubscriptions`
`abstract Directory` | `getContentDestination()` Gets the `Directory` for `ContentDestination`
`abstract AssociationList` | `getContentDestinations()` Gets the AssociationList of `ContentDestinations`
`abstract AssociationList` | `getContentDestinations(boolean fGoToServer)` Gets the Associationlist of `ContentDestinations`
`abstract java.lang.String` | `getDefaultTransport()` Gets the `String` value of `DefaultTransport`
`abstract int` | `getDefaultTransportMaxLength()` Gets the maximum length of `DefaultTransport`
`abstract int` | `getDefaultTransportState()` Gets the Metadata State of `DefaultTransport`
`abstract java.lang.String` | `getDeliveryTransport()` Gets the `String` value of `DeliveryTransport`
`abstract int` | `getDeliveryTransportMaxLength()` Gets the maximum length of `DeliveryTransport`
`abstract int` | `getDeliveryTransportState()` Gets the Metadata State of `DeliveryTransport`
`abstract java.lang.String` | `getFrequency()` Gets the `String` value of `Frequency`
`abstract int` | `getFrequencyMaxLength()` Gets the maximum length of `Frequency`
`abstract int` | `getFrequencyState()` Gets the Metadata State of `Frequency`
`abstract java.lang.String` | `getPresentationLanguage()` Gets the `String` value of `PresentationLanguage`
`abstract int` | `getPresentationLanguageMaxLength()` Gets the maximum length of `PresentationLanguage`
`abstract int` | `getPresentationLanguageState()` Gets the Metadata State of `PresentationLanguage`
`abstract java.lang.String` | `getSubject()` Gets the `String` value of `Subject`
`abstract int` | `getSubjectMaxLength()` Gets the maximum length of `Subject`
`abstract int` | `getSubjectState()` Gets the Metadata State of `Subject`
`abstract AssociationList` | `getSubscriberGroups()` Gets the AssociationList of `SubscriberGroups`
`abstract AssociationList` | `getSubscriberGroups(boolean fGoToServer)` Gets the Associationlist of `SubscriberGroups`
`abstract java.lang.String` | `getURL()` Gets the `String` value of `URL`
`abstract int` | `getURLMaxLength()` Gets the maximum length of `URL`
`abstract int` | `getURLState()` Gets the Metadata State of `URL`
`abstract void` | `initializePredObjects()` (S) Adds the Associated objects to the predObjects which are: `ArchivePaths` `Archives` `ContentDestination` `SubscriberGroups`
`abstract void` | `initializeRequiredObjects()` (S) This initializes the Required Objects(Roles) which are:
`abstract void` | `setArchivePaths(AssociationList list)` Sets the `ArchivePaths` list to be `list`.
`abstract void` | `setArchivePaths(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`abstract void` | `setArchives(AssociationList list)` Sets the `Archives` list to be `list`.
`abstract void` | `setArchives(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`abstract void` | `setChannelSubscriptions(AssociationList list)` Sets the `ChannelSubscriptions` list to be `list`.
`abstract void` | `setChannelSubscriptions(AssociationList inObjects, int state)` Sets the entire ChannelSubscriptions list to match the passed in AssociationList, sets the state of the ChannelSubscriptions
`abstract void` | `setContentDestination(Directory inObject)` Sets the `ContentDestinations` list 0th element to be `inObject`.
`abstract void` | `setContentDestinations(AssociationList list)` Sets the `ContentDestinations` list to be `list`.
`abstract void` | `setContentDestinations(AssociationList list, int state)` Sets the `ContentDestinations` list to be `list`.
`abstract void` | `setDefaultTransport(java.lang.String inDefaultTransport)` Sets the `DefaultTransport` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setDefaultTransport(java.lang.String inDefaultTransport, int state)` Sets the `DefaultTransport` Metadata State.
`abstract void` | `setDefaultTransportState(int state)` Sets the Metadata State of `DefaultTransport`.
`abstract void` | `setDeliveryTransport(java.lang.String inDeliveryTransport)` Sets the `DeliveryTransport` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setDeliveryTransport(java.lang.String inDeliveryTransport, int state)` Sets the `DeliveryTransport` Metadata State.
`abstract void` | `setDeliveryTransportState(int state)` Sets the Metadata State of `DeliveryTransport`.
`abstract void` | `setFrequency(java.lang.String inFrequency)` Sets the `Frequency` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setFrequency(java.lang.String inFrequency, int state)` Sets the `Frequency` Metadata State.
`abstract void` | `setFrequencyState(int state)` Sets the Metadata State of `Frequency`.
`abstract void` | `setPresentationLanguage(java.lang.String inPresentationLanguage)` Sets the `PresentationLanguage` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setPresentationLanguage(java.lang.String inPresentationLanguage, int state)` Sets the `PresentationLanguage` Metadata State.
`abstract void` | `setPresentationLanguageState(int state)` Sets the Metadata State of `PresentationLanguage`.
`abstract void` | `setSubject(java.lang.String inSubject)` Sets the `Subject` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setSubject(java.lang.String inSubject, int state)` Sets the `Subject` Metadata State.
`abstract void` | `setSubjectState(int state)` Sets the Metadata State of `Subject`.
`abstract void` | `setSubscriberGroups(AssociationList list)` Sets the `SubscriberGroups` list to be `list`.
`abstract void` | `setSubscriberGroups(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`abstract void` | `setURL(java.lang.String inURL)` Sets the `URL` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setURL(java.lang.String inURL, int state)` Sets the `URL` Metadata State.
`abstract void` | `setURLState(int state)` Sets the Metadata State of `URL`.

Methods inherited from interface com.sas.metadata.remote.PrimaryType
`getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

Methods inherited from interface com.sas.metadata.remote.Root
`getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML
`closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil
`addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

Methods inherited from interface com.sas.metadata.remote.MdObjectBase
`addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

Field Detail

### ATTRIBUTE_SUBJECT_NAME

    static final java.lang.String ATTRIBUTE_SUBJECT_NAME

  Constant used for the name of the Subject attribute.

  Subject: Subject description for the intended content of this channel.

  See Also:
    Constant Field Values

### ATTRIBUTE_PRESENTATIONLANGUAGE_NAME

    static final java.lang.String ATTRIBUTE_PRESENTATIONLANGUAGE_NAME

  Constant used for the name of the PresentationLanguage attribute.

  PresentationLanguage: Content language for this channel.

  See Also:
    Constant Field Values

### ATTRIBUTE_DELIVERYTRANSPORT_NAME

    static final java.lang.String ATTRIBUTE_DELIVERYTRANSPORT_NAME

  Constant used for the name of the DeliveryTransport attribute.

  DeliveryTransport: Preferred delivery mechanism for content published on this channel.

  See Also:
    Constant Field Values

### ATTRIBUTE_FREQUENCY_NAME

    static final java.lang.String ATTRIBUTE_FREQUENCY_NAME

  Constant used for the name of the Frequency attribute.

  Frequency: Approximately how often content is published to this channel.

  See Also:
    Constant Field Values

### ATTRIBUTE_URL_NAME

    static final java.lang.String ATTRIBUTE_URL_NAME

  Constant used for the name of the URL attribute.

  URL: URL

  See Also:
    Constant Field Values

### ATTRIBUTE_DEFAULTTRANSPORT_NAME

    static final java.lang.String ATTRIBUTE_DEFAULTTRANSPORT_NAME

  Constant used for the name of the DefaultTransport attribute.

  DefaultTransport: DefaultTransport

  See Also:
    Constant Field Values

### ASSOCIATION_ARCHIVEPATHS_NAME

    static final java.lang.String ASSOCIATION_ARCHIVEPATHS_NAME

  Constant used for the name of the ArchivePaths association.

  ArchivePaths: Preferred archive directory for this channel.

  See Also:
    Constant Field Values

### ASSOCIATION_ARCHIVES_NAME

    static final java.lang.String ASSOCIATION_ARCHIVES_NAME

  Constant used for the name of the Archives association.

  Archives: The archives published to by this channel.

  See Also:
    Constant Field Values

### ASSOCIATION_CONTENTDESTINATION_NAME

    static final java.lang.String ASSOCIATION_CONTENTDESTINATION_NAME

  Constant used for the name of the ContentDestination association.

  ContentDestination: The directory that is either a physical path or is associated to the http or ftp server where the archive should be published.

  See Also:
    Constant Field Values

### ASSOCIATION_SUBSCRIBERGROUPS_NAME

    static final java.lang.String ASSOCIATION_SUBSCRIBERGROUPS_NAME

  Constant used for the name of the SubscriberGroups association.

  SubscriberGroups: The subscriber groups for this channel.

  See Also:
    Constant Field Values

### ASSOCIATION_CHANNELSUBSCRIPTIONS_NAME

    static final java.lang.String ASSOCIATION_CHANNELSUBSCRIPTIONS_NAME

  Constant used for the name of the ChannelSubscriptions association.

  ChannelSubscriptions: The subscribers for this channel.

  See Also:
    Constant Field Values

Method Detail

### initializeRequiredObjects

    void initializeRequiredObjects()
                                   throws java.rmi.RemoteException

  (S) This initializes the Required Objects(Roles) which are:

  Specified by:
    `initializeRequiredObjects` in interface `MdObjectBaseUtil`
  Specified by:
    `initializeRequiredObjects` in interface `PrimaryType`
  Specified by:
    `initializeRequiredObjects` in interface `Root`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### initializePredObjects

    void initializePredObjects()
                               throws java.rmi.RemoteException

  (S) Adds the Associated objects to the predObjects which are:
  `ArchivePaths`
  `Archives`
  `ContentDestination`
  `SubscriberGroups`

  Specified by:
    `initializePredObjects` in interface `MdObjectBase`
  Specified by:
    `initializePredObjects` in interface `PrimaryType`
  Specified by:
    `initializePredObjects` in interface `Root`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getSubject

    java.lang.String getSubject()
                                throws java.rmi.RemoteException

  Gets the `String` value of `Subject`

  Returns:
    The `Subject`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getSubjectState

    int getSubjectState()
                        throws java.rmi.RemoteException

  Gets the Metadata State of `Subject`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getSubjectMaxLength

    int getSubjectMaxLength()
                            throws java.rmi.RemoteException

  Gets the maximum length of `Subject`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getPresentationLanguage

    java.lang.String getPresentationLanguage()
                                             throws java.rmi.RemoteException

  Gets the `String` value of `PresentationLanguage`

  Returns:
    The `PresentationLanguage`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getPresentationLanguageState

    int getPresentationLanguageState()
                                     throws java.rmi.RemoteException

  Gets the Metadata State of `PresentationLanguage`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getPresentationLanguageMaxLength

    int getPresentationLanguageMaxLength()
                                         throws java.rmi.RemoteException

  Gets the maximum length of `PresentationLanguage`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getDeliveryTransport

    java.lang.String getDeliveryTransport()
                                          throws java.rmi.RemoteException

  Gets the `String` value of `DeliveryTransport`

  Returns:
    The `DeliveryTransport`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getDeliveryTransportState

    int getDeliveryTransportState()
                                  throws java.rmi.RemoteException

  Gets the Metadata State of `DeliveryTransport`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getDeliveryTransportMaxLength

    int getDeliveryTransportMaxLength()
                                      throws java.rmi.RemoteException

  Gets the maximum length of `DeliveryTransport`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getFrequency

    java.lang.String getFrequency()
                                  throws java.rmi.RemoteException

  Gets the `String` value of `Frequency`

  Returns:
    The `Frequency`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getFrequencyState

    int getFrequencyState()
                          throws java.rmi.RemoteException

  Gets the Metadata State of `Frequency`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getFrequencyMaxLength

    int getFrequencyMaxLength()
                              throws java.rmi.RemoteException

  Gets the maximum length of `Frequency`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getURL

    java.lang.String getURL()
                            throws java.rmi.RemoteException

  Gets the `String` value of `URL`

  Returns:
    The `URL`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getURLState

    int getURLState()
                    throws java.rmi.RemoteException

  Gets the Metadata State of `URL`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getURLMaxLength

    int getURLMaxLength()
                        throws java.rmi.RemoteException

  Gets the maximum length of `URL`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getDefaultTransport

    java.lang.String getDefaultTransport()
                                         throws java.rmi.RemoteException

  Gets the `String` value of `DefaultTransport`

  Returns:
    The `DefaultTransport`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getDefaultTransportState

    int getDefaultTransportState()
                                 throws java.rmi.RemoteException

  Gets the Metadata State of `DefaultTransport`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getDefaultTransportMaxLength

    int getDefaultTransportMaxLength()
                                     throws java.rmi.RemoteException

  Gets the maximum length of `DefaultTransport`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getArchivePaths

    AssociationList getArchivePaths()
                                    throws java.rmi.RemoteException,
                                           MdException

  Gets the AssociationList of `ArchivePaths`

  Returns:
    Returns the AssociationList of `ArchivePaths` which can be of type:
    Directory
    AnalyticContext
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getArchives

    AssociationList getArchives()
                                throws java.rmi.RemoteException,
                                       MdException

  Gets the AssociationList of `Archives`

  Returns:
    Returns the AssociationList of `Archives` which can be of type:
    ArchiveFile
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getContentDestinations

    AssociationList getContentDestinations()
                                           throws java.rmi.RemoteException,
                                                  MdException

  Gets the AssociationList of `ContentDestinations`

  Returns:
    Returns the AssociationList of `ContentDestinations` which can be of type:
    Directory
    AnalyticContext
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException`

### getContentDestination

    Directory getContentDestination()
                                    throws java.rmi.RemoteException,
                                           MdException

  Gets the `Directory` for `ContentDestination`

  Returns:
    The `Directory` ( `null` if not set) of `ContentDestination`which can be of type:
    Directory
    AnalyticContext
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getSubscriberGroups

    AssociationList getSubscriberGroups()
                                        throws java.rmi.RemoteException,
                                               MdException

  Gets the AssociationList of `SubscriberGroups`

  Returns:
    Returns the AssociationList of `SubscriberGroups` which can be of type:
    Group
    SXLEMap
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getChannelSubscriptions

    AssociationList getChannelSubscriptions()
                                            throws java.rmi.RemoteException,
                                                   MdException

  Gets the Association list of `ChannelSubscriptions`

  Returns:
    The AssociationList of `ChannelSubscriptions` which can be of type:
    ITSubscriber
    ITContentSubscriber
    ITEventSubscriber
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getArchivePaths

    AssociationList getArchivePaths(boolean fGoToServer)
                                    throws java.rmi.RemoteException,
                                           MdException

  Gets the Associationlist of `ArchivePaths`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `ArchivePaths` which can be of type:
    Directory
    AnalyticContext
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getArchives

    AssociationList getArchives(boolean fGoToServer)
                                throws java.rmi.RemoteException,
                                       MdException

  Gets the Associationlist of `Archives`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `Archives` which can be of type:
    ArchiveFile
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getContentDestinations

    AssociationList getContentDestinations(boolean fGoToServer)
                                           throws java.rmi.RemoteException,
                                                  MdException

  Gets the Associationlist of `ContentDestinations`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `ContentDestinations` which can be of type:
    Directory
    AnalyticContext
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getSubscriberGroups

    AssociationList getSubscriberGroups(boolean fGoToServer)
                                        throws java.rmi.RemoteException,
                                               MdException

  Gets the Associationlist of `SubscriberGroups`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `SubscriberGroups` which can be of type:
    Group
    SXLEMap
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getChannelSubscriptions

    AssociationList getChannelSubscriptions(boolean fGoToServer)
                                            throws java.rmi.RemoteException,
                                                   MdException

  Gets the Associationlist of `ChannelSubscriptions`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `ChannelSubscriptions` which can be of type:
    ITSubscriber
    ITContentSubscriber
    ITEventSubscriber
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### setSubject

    void setSubject(java.lang.String inSubject)
                    throws java.rmi.RemoteException

  Sets the `Subject` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inSubject` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSubject

    void setSubject(java.lang.String inSubject,
                    int state)
                    throws java.rmi.RemoteException

  Sets the `Subject` Metadata State.

  Parameters:
    `inSubject` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSubjectState

    void setSubjectState(int state)
                         throws java.rmi.RemoteException

  Sets the Metadata State of `Subject`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPresentationLanguage

    void setPresentationLanguage(java.lang.String inPresentationLanguage)
                                 throws java.rmi.RemoteException

  Sets the `PresentationLanguage` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inPresentationLanguage` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPresentationLanguage

    void setPresentationLanguage(java.lang.String inPresentationLanguage,
                                 int state)
                                 throws java.rmi.RemoteException

  Sets the `PresentationLanguage` Metadata State.

  Parameters:
    `inPresentationLanguage` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPresentationLanguageState

    void setPresentationLanguageState(int state)
                                      throws java.rmi.RemoteException

  Sets the Metadata State of `PresentationLanguage`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDeliveryTransport

    void setDeliveryTransport(java.lang.String inDeliveryTransport)
                              throws java.rmi.RemoteException

  Sets the `DeliveryTransport` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inDeliveryTransport` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDeliveryTransport

    void setDeliveryTransport(java.lang.String inDeliveryTransport,
                              int state)
                              throws java.rmi.RemoteException

  Sets the `DeliveryTransport` Metadata State.

  Parameters:
    `inDeliveryTransport` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDeliveryTransportState

    void setDeliveryTransportState(int state)
                                   throws java.rmi.RemoteException

  Sets the Metadata State of `DeliveryTransport`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setFrequency

    void setFrequency(java.lang.String inFrequency)
                      throws java.rmi.RemoteException

  Sets the `Frequency` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inFrequency` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setFrequency

    void setFrequency(java.lang.String inFrequency,
                      int state)
                      throws java.rmi.RemoteException

  Sets the `Frequency` Metadata State.

  Parameters:
    `inFrequency` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setFrequencyState

    void setFrequencyState(int state)
                           throws java.rmi.RemoteException

  Sets the Metadata State of `Frequency`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setURL

    void setURL(java.lang.String inURL)
                throws java.rmi.RemoteException

  Sets the `URL` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inURL` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setURL

    void setURL(java.lang.String inURL,
                int state)
                throws java.rmi.RemoteException

  Sets the `URL` Metadata State.

  Parameters:
    `inURL` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setURLState

    void setURLState(int state)
                     throws java.rmi.RemoteException

  Sets the Metadata State of `URL`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDefaultTransport

    void setDefaultTransport(java.lang.String inDefaultTransport)
                             throws java.rmi.RemoteException

  Sets the `DefaultTransport` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inDefaultTransport` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDefaultTransport

    void setDefaultTransport(java.lang.String inDefaultTransport,
                             int state)
                             throws java.rmi.RemoteException

  Sets the `DefaultTransport` Metadata State.

  Parameters:
    `inDefaultTransport` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDefaultTransportState

    void setDefaultTransportState(int state)
                                  throws java.rmi.RemoteException

  Sets the Metadata State of `DefaultTransport`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setArchivePaths

    void setArchivePaths(AssociationList list)
                         throws java.rmi.RemoteException

  Sets the `ArchivePaths` list to be `list`. Objects of which can be of type:
  Directory
  AnalyticContext

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setArchivePaths

    void setArchivePaths(AssociationList inObjects,
                         int state)
                         throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setArchives

    void setArchives(AssociationList list)
                     throws java.rmi.RemoteException

  Sets the `Archives` list to be `list`. Objects of which can be of type:
  ArchiveFile

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setArchives

    void setArchives(AssociationList inObjects,
                     int state)
                     throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setContentDestinations

    void setContentDestinations(AssociationList list)
                                throws java.rmi.RemoteException

  Sets the `ContentDestinations` list to be `list`. Object of which can be of type:
  Directory
  AnalyticContext

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setContentDestinations

    void setContentDestinations(AssociationList list,
                                int state)
                                throws java.rmi.RemoteException

  Sets the `ContentDestinations` list to be `list`. Object of which can be of type:
  Directory
  AnalyticContext

  Parameters:
    `list` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setContentDestination

    void setContentDestination(Directory inObject)
                               throws java.rmi.RemoteException

  Sets the `ContentDestinations` list 0th element to be `inObject`.

  Parameters:
    `inObject` - Directory
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSubscriberGroups

    void setSubscriberGroups(AssociationList list)
                             throws java.rmi.RemoteException

  Sets the `SubscriberGroups` list to be `list`. Objects of which can be of type:
  Group
  SXLEMap

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSubscriberGroups

    void setSubscriberGroups(AssociationList inObjects,
                             int state)
                             throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setChannelSubscriptions

    void setChannelSubscriptions(AssociationList list)
                                 throws java.rmi.RemoteException

  Sets the `ChannelSubscriptions` list to be `list`. Objects of which can be of type:
  ITSubscriber
  ITContentSubscriber
  ITEventSubscriber

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setChannelSubscriptions

    void setChannelSubscriptions(AssociationList inObjects,
                                 int state)
                                 throws java.rmi.RemoteException

  Sets the entire ChannelSubscriptions list to match the passed in AssociationList, sets the state of the ChannelSubscriptions

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.